Skip to content

设置 MySQL 超时配置参数

设置 MySQL 的超时和连接相关配置参数。

POST
https://your-panel.example.com:8888/database
更新于 查看 Markdown

Request bodyX-WWW-FORM-URLENCODEDrequired

  • request_timestringrequired

    Unix 时间戳。

  • request_tokenstringrequired

    按 API 概览生成的签名。

  • actionSetTimeOutrequired

    具体操作名称。

  • interactive_timeoutoptionalinteger

    交互连接超时(秒)

  • wait_timeoutoptionalinteger

    非交互连接超时(秒)

  • expire_logs_daysoptionalinteger

    二进制日志过期天数

  • default_password_lifetimeoptionalinteger

    密码有效期(天),0 = 永不过期

Returns

default

接口响应,业务状态见下方详细说明。

JSON
  • statusoptionalboolean

    请求结果,true 表示成功

  • msgoptionalstring

    提示信息

各操作详细说明

SetTimeOutaction=SetTimeOut设置 MySQL 超时配置参数

设置 MySQL 的超时和连接相关配置参数。

  • 路由:POST /database
  • action:SetTimeOut

输入参数

参数名称 必选 类型 描述
action 是 String 固定值 SetTimeOut
interactive_timeout 否 Integer 交互连接超时(秒)
wait_timeout 否 Integer 非交互连接超时(秒)
expire_logs_days 否 Integer 二进制日志过期天数
default_password_lifetime 否 Integer 密码有效期(天),0 = 永不过期

示例

输出参数

参数名称 类型 描述
status Boolean 请求结果,true 表示成功
msg String 提示信息
{"status": true, "msg": "设置成功!"}
Navigation

Type to search…

↑↓ navigate↵ selectEsc close